### Method

# EBackend Backend ensure_online_state_updated

since: 3.18

#### Declaration [src]

    void
    e_backend_ensure_online_state_updated (
      EBackend* backend,
      GCancellable* cancellable
    )

#### Description [src]

Makes sure that the “online” property is updated, that is, if there is any destination reachability test pending, it’ll be done immediately and the only state will be updated as well.

Available since: 3.18

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.